Skip to main content
Resource Center/Hardware/SAN Storage Operations/iSCSI Server Operations

QueryIscsiLun

QueryIscsiLun

GET/zstack/v1/storage-devices/iscsi/luns
GET/zstack/v1/storage-devices/iscsi/luns/{uuid}

Operation ID

QueryIscsiLun

Since

3.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • iscsiTargetUuid
      StringRequired

      The iSCSI target UUID.

    • wwid
      StringRequired

      The device WWID.

    • vendor
      StringRequired

      The device vendor.

    • model
      StringRequired

      The device model.

    • wwn
      StringRequired

      The device WWN.

    • serial
      StringRequired

      The device serial No.

    • hctl
      StringRequired

      The SCSI device HCTL.

    • type
      StringRequired

      The device type.

    • path
      StringRequired

      The device path.

    • size
      LongRequired

      The device size.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.